<?php

namespace FiloBlu\Newsletter\Block\LandingPage;

class FormEdit extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Newsletter\Helper\Data
     */
    public $_helper;
    public $_directoryBlock;

    /**
     * @var \Magento\Customer\Model\Session
     */
    protected $_customerSession;
    
    protected $_coreRegistry;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Newsletter\Helper\Data $helper, \FiloBlu\Newsletter\Block\Widget\Country $directoryBlock, \Magento\Customer\Model\Session $customerSession, \Magento\Framework\Registry $registry
    ) {
        $this->_helper = $helper;
        $this->_directoryBlock = $directoryBlock;
        $this->_customerSession = $customerSession;
        $this->_coreRegistry = $registry;
        parent::__construct($context, $data);
    }

    public function getCountries($value) {
        $country = $this->_directoryBlock->getCountryHtmlSelect($value);
        return $country;
    }
    
     public function getCustomerInfo() {
        return $this->getLandingPage()["subscriber_model"];
    }


    /**
     * Retrieve form action url and set "secure" param to avoid confirm
     * message when we submit form from secure page to unsecure
     *
     * @return string
     */
    public function getFormActionUrl() {
        return $this->getUrl('newsletterajax/subscriber/editlandingaction', ['_secure' => true]);
    }
    
    public function getLandingPage() {
        
        if (!$this->getLandingPageEntity()) {
            $this->setLandingPageEntity($this->_coreRegistry->registry('newsletter_landingpage_entity'));
        }

        return $this->getLandingPageEntity()->getData();
    }
    
    protected function _toHtml() {

        if (!$this->_helper->getConfig("general/enabled") || $this->getLandingPage()["form_type"] != 2) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }


}
